gnutls_ia_endphase_send(3)

NAME
gnutls_ia_endphase_send - API function

SYNOPSIS
#include <gnutls/extra.h>

int gnutls_ia_endphase_send(gnutls_session_t session, int final_p);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

int final_p
    Set iff this should signal the final phase.

DESCRIPTION
Send a TLS/IA end phase message.

In the client, this should only be used to acknowledge an end phase message sent by the server.

In the server, this can be called instead of gnutls_ia_send() if the server wishes to end an application phase.

RETURN VALUE
Return 0 on success, or an error code.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.